Gtk2::ColorSelectionDialog(3)

NAME
Gtk2::ColorSelectionDialog

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Window
                                +----Gtk2::Dialog
                                     +----Gtk2::ColorSelectionDialog

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gtk2::ColorSelectionDialog->new ($title)

•   $title (string)

  widget = $dialog->cancel_button

  widget = $dialog->get_color_selection

  widget = $dialog->help_button

  widget = $dialog->ok_button

PROPERTIES

'cancel-button' (Gtk2::Widget : default undef : readable)
    The cancel button of the dialog.

'color-selection' (Gtk2::Widget : default undef : readable)
    The color selection embedded in the dialog.

'help-button' (Gtk2::Widget : default undef : readable)
    The help button of the dialog.

'ok-button' (Gtk2::Widget : default undef : readable)
    The OK button of the dialog.

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Window, Gtk2::Dialog

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.